Subject: Re: [PATCH v2 2/8] string-list: remove unused "insert_at" parameter from add_entry

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 19 May 2025 09:17:53 +0200

On Sun, May 18, 2025 at 11:57:07PM +0800, shejialuo wrote:
> In "add_entry", we accept "insert_at" parameter which must be either -1
> (auto) or between 0 and `list->nr` inclusive. Any other value is
> invalid. When caller specify any invalid "insert_at" value, we won't
> check the range and move the element, which would definitely cause the
> trouble.

Maybe "which may easily cause an out-of-bounds write" instead of vague
"trouble"?

> However, we only use "add_entry" in "string_list_insert" function and we
> always pass the "-1" for "insert_at" parameter. So, we never use this
> parameter to insert element in a user specified position. Let's delete
> this parameter. If there is any requirement later, we need to use a
> better way to do this.

Makes sense.

Patrick